    CLS : PRINT
    PRINT "                          X?-Cable Tester"
    PRINT
    PRINT "tests the wires of a X-, XE-, XM,- and XA-cable."
    PRINT "You must have got at least a C64 and an IBM-PC connected with the x?-cable"
    PRINT "But then you cannot test the ATN- and Reset-line from PC to C64."
    PRINT "Better is a C64 connected with a normal serial cable with a 1541, 1571 or"
    PRINT "1581 and this drive connected with the x?-cable with the IBM-PC."
    PRINT "If you connect or disconnect anything at the C64 or CBM-drive allways switch"
    PRINT "off everything."

    PRINT : PRINT : PRINT "Switch C64 and Floppy to CBM-Kernal and CBM-DOS."
    PRINT "Deactivate all C64-cartidges."
   
    PRINT : PRINT : PRINT "Have you got the C64-part of this program on a 1541- or 1581- disk"
    PRINT "or a datassette and do you want to load it now into the C64-memory? (y/n)?"
100 c$ = INKEY$
    IF c$ = "n" THEN 115
    IF c$ <> "y" THEN 100
   
    OUT (&H3BC + 2), 4
    OUT (&H378 + 2), 4: REM try to set all printerports to inactive
    OUT (&H278 + 2), 4

    PRINT : PRINT "Now try to load the C64-part of this program from CBM-drive "
    PRINT "Can you load and start it (y/n)?"
105 c$ = INKEY$
    IF c$ = "y" THEN 120
    IF c$ <> "n" THEN 105

    OUT (&H3BC + 2), 11
    OUT (&H378 + 2), 11: REM try to set all printerports to inactive
    OUT (&H278 + 2), 11

    PRINT : PRINT "Now try to load the C64-part of this program from CBM-drive "
    PRINT "Can you load and start it (y/n)?"
110 c$ = INKEY$
    IF c$ = "y" THEN 120
    IF c$ <> "n" THEN 110

115 PRINT "If you can't start it now, then you must type the C64 commands manually"
    
120 PRINT : PRINT : PRINT "Have you got a 1541/71/81-floppy connected between C64 and IBM-PC (y/n)?"
125 d$ = INKEY$
    IF d$ = "n" THEN PRINT "Cannot test ATN- and Reset-line from PC to C64": GOTO 130
    IF d$ <> "y" THEN 125
    
130 c6$ = "If you can't start the C64-part of this program then type at the C64:"
    cd$ = "10 print" + CHR$(34) + "data  clock:" + CHR$(34) + "(peek(56576)and128)/128;(peek(56576)and64)/64:goto10"
    me$(0) = "not tested"
    me$(1) = "ok"
    me$(2) = "!!! error !!!"


135 PRINT : PRINT : PRINT "Printerport-address"
    PRINT "if you don't know then try first 378 then 278 then 3bc"
    INPUT "Printerport (hexadecimal)  1=3bc 2=378 3=278)"; l
    IF l = 1 THEN lp = &H3BC: GOTO 140
    IF l = 2 THEN lp = &H378: GOTO 140
    IF l = 3 THEN lp = &H278: GOTO 140
    GOTO 135
   
140   PRINT : PRINT : PRINT "Which X-Cable do you (think to) have got? X XE XM XA"
    INPUT "press X E M A"; x$
    IF x$ = "x" THEN x = 1: GOTO 145
    IF x$ = "e" THEN x = 2: GOTO 145
    IF x$ = "m" THEN x = 3: GOTO 145
    IF x$ = "a" THEN x = 4: GOTO 145
    GOTO 140
  
145 PRINT : PRINT : PRINT "The XM- and XA-cable-funktions of this program aren't tested. "
   
   
    PRINT : PRINT : PRINT "Making all serial lines to inactive"
    i = 4: REM                00000100
    IF x = 4 THEN i = 11: REM 00001011
    OUT (lp + 2), i: REM i=inactive
   
REM---------------------------------------------------------------------------
   IF x > 1 THEN 300
  
   c = 1: : sc = 1: REM flag for ok

   OUT (lp), 254: REM bit 0 of dataport to low
   IF (INP(lp + 1) AND 8) > 0 THEN 200
  
   OUT (lp), 255: REM bit 0 of dataport to high
   IF (INP(lp + 1) AND 8) > 0 THEN 205

200 c = 0: PRINT "There is a problem with the short-connection of pin 2 and 15."
    PRINT "The Starcommander and 64HDD don't need it but this could cause problems at"
    PRINT "different programs."
    sc = 2: REM error

205 n = 1

REM---------------------------------------------------------------------------
300 PRINT : PRINT : PRINT "Testing Inactivity of all lines from PC to C64"
    PRINT "Press '0' at the C64-part of this program"
    PRINT c6$: PRINT "poke56575,7": REM 7
    INPUT "Press Return when C64 is ready (0 pressed)"; a$
    dpc = 1: cpc = 1
   
    PRINT c6$: PRINT cd$
    PRINT : PRINT "data  clock: 1  1"
    PRINT "should be displayed at the C64, else there is a problem with the data"
    PRINT "or clock-line from PC to C64"
    n = n + 2
    PRINT "Is 1  1 displayed (y/n)?"
305 a$ = INKEY$
    IF a$ = "y" THEN c = c + 2: GOTO 325
    IF a$ <> "n" THEN 305
    
    PRINT : PRINT : PRINT "What is the first number behind 'data clock' (0/1)"
310 a$ = INKEY$
    IF a$ = "0" THEN PRINT "Probem with data-line from PC to C64": dpc = 2: GOTO 315
    IF a$ <> "1" THEN 310
    c = c + 1

315 PRINT : PRINT : PRINT "What is the second number behind 'data clock' (0/1)"
320 a$ = INKEY$
    IF a$ = "0" THEN PRINT "Probem with clock-line from PC to C64": cpc = 2: GOTO 325
    IF a$ <> "1" THEN 320
    c = c + 1

325 IF d$ = "n" THEN PRINT "Cannot test inactivity of Reset-line": GOTO 400

    rpc = 1
    PRINT : PRINT : PRINT "Is the drive-LED and -motor off (f=off n=on)?"
    n = n + 1
330 a$ = INKEY$
    IF a$ = "n" THEN PRINT "Probem with Reset-line from PC to C64": rpc = 2: GOTO 400
    IF a$ <> "f" THEN 330
    c = c + 1


REM---------------------------------------------------------------------------

400 PRINT : PRINT : PRINT c; "/"; n


    PRINT : PRINT : PRINT "Testing Data-line from PC to C64"
    PRINT "Press '0' at the C64-part of this program"
    PRINT c6$: PRINT "poke56575,7": REM 7
    INPUT "Press Return when C64 is ready (0 pressed)"; a$
   
    ON x GOTO 405, 410, 415, 420
405 a = 12: GOTO 425: REM 00001100
410 a = 12: GOTO 425: REM 00001100
415 a = 0: GOTO 425: REM  00000000
420 a = 15: REM          00001111
425 OUT (lp + 2), a
    
    PRINT c6$: PRINT cd$
    PRINT : PRINT "data  clock: 0  1"
    PRINT "should be displayed at the C64, else there is a problem with the data"
    PRINT "-line from PC to C64"
    PRINT "Is 0  1 displayed (y/n)?"
430 a$ = INKEY$
    IF a$ = "y" THEN c = c + 1: GOTO 435
    IF a$ <> "n" THEN 430
    dpc = 2
435 OUT (lp + 2), i: REM inactive
    n = n + 1
    PRINT : PRINT c; "/"; n

    PRINT : PRINT : PRINT "Testing Data-line from C64 to PC"
    PRINT "Press '1' at the C64-part of this program"
    PRINT c6$: PRINT "poke56575,39": REM 32+7
    INPUT "Press Return when C64 is ready (1 pressed)"; a$
    dcp = 1

    IF x = 1 THEN a = ((INP(lp + 2)) AND 8) XOR 8: GOTO 440
    IF x = 2 THEN a = (INP(lp + 1) AND 128) XOR 128: GOTO 440
    a = INP(lp + 1) AND 64
   
440 a$ = "Data-line from C64 to PC is ok": b = 1
    IF a > 0 THEN b = 0: a$ = "Problem with Data-line from C64 to PC": dcp = 2
    PRINT a$: c = c + b: n = n + 1
    PRINT : PRINT c; "/"; n

    PRINT : PRINT : PRINT "Testing Data-line from C64 to PC"
    PRINT "Press '2' at the C64-part of this program"
    PRINT c6$: PRINT "poke56575,7": REM 7
    INPUT "Press Return when C64 is ready (2 pressed)"; a$

    IF x = 1 THEN a = ((INP(lp + 2)) AND 8) XOR 8: GOTO 445
    IF x = 2 THEN a = (INP(lp + 1) AND 128) XOR 128: GOTO 445
    a = INP(lp + 1) AND 64

445  a$ = "Data-line from C64 to PC is ok": b = 1
    IF a = 0 THEN b = 0: a$ = "Problem with Data-line from C64 to PC": dcp = 2
    PRINT a$: c = c + b: n = n + 1
    PRINT : PRINT c; "/"; n
   
REM---------------------------------------------------------------------------

    PRINT : PRINT : PRINT "Testing Clock-line from PC to C64"
    PRINT "Press '0' at the C64-part of this program"
    PRINT c6$: PRINT "poke56575,7": REM 7
    INPUT "Press Return when C64 is ready (0 pressed)"; a$

    a = 6: REM               00000110
    IF x = 4 THEN a = 9: REM 00001001
    OUT (lp + 2), a
 
    PRINT c6$: PRINT cd$
    PRINT : PRINT "data  clock: 1  0"
    PRINT "should be displayed at the C64, else there is a problem with the clock"
    PRINT "-line from PC to C64"
    PRINT "Is 1  0 displayed (y/n)?"
500 a$ = INKEY$
    IF a$ = "y" THEN c = c + 1: GOTO 505
    IF a$ <> "n" THEN 500
    cpc = 2
505 OUT (lp + 2), i: REM inactive
    n = n + 1
    PRINT : PRINT c; "/"; n

    PRINT : PRINT : PRINT "Testing Clock-line from C64 to PC"
    PRINT "Press '3' at the C64-part of this program"
    PRINT c6$: PRINT "poke56575,23": REM 16+7
    INPUT "Press Return when C64 is ready (3 pressed)"; a$
    ccp = 1

    IF x = 1 THEN a = ((INP(lp + 2)) AND 2) XOR 2: GOTO 510
    a = INP(lp + 1) AND 32
    
510  a$ = "Clock-line from C64 to PC is ok": b = 1
    IF a > 0 THEN b = 0: a$ = "Problem with Clock-line from C64 to PC": ccp = 2
    PRINT a$: c = c + b: n = n + 1
    PRINT : PRINT c; "/"; n

    
    PRINT : PRINT : PRINT "Testing Clock-line from C64 to PC"
    PRINT "Press '4' at the C64-part of this program"
    PRINT c6$: PRINT "poke56575,7": REM 16+7
    INPUT "Press Return when C64 is ready (4 pressed)"; a$
    
    IF x = 1 THEN a = ((INP(lp + 2)) AND 2) XOR 2: GOTO 515
    a = INP(lp + 1) AND 32
    
515  a$ = "Clock-line from C64 to PC is ok": b = 1
    IF a = 0 THEN b = 0: a$ = "Problem with Clock-line from C64 to PC": ccp = 2
    PRINT a$: c = c + b: n = n + 1
    PRINT : PRINT c; "/"; n

    
REM---------------------------------------------------------------------------

    PRINT : PRINT : PRINT "If you have got a C64 without 1541 only,"
    PRINT "then you cannot test the Attention-line from PC to C64"
    PRINT "because the C64 cannot read the ATN-line"
    PRINT "If you have got a 1541/71/81 connected then you can display the "
    PRINT "ATN-line to the floppy-LED."
    

    IF d$ = "n" THEN PRINT "cannot test ATN from PC to C64": GOTO 800
    apc = 1

    IF c$ = "y" THEN 770
    REM floppy present but C64-part not running
    IF (dpc = 1) AND (cpc = 1) THEN 600
    PRINT "There is a problem with the Data- or Clock-line from PC to C64."
    PRINT "So you cannot transfer the ATN-display program from PC to C64."
    PRINT "Perhaps try to solve the Data- and Clock-problem first and restart program."
    GOTO 800

600 PRINT : PRINT : PRINT "The Data- and Clock-line from PC to C64 seem to be ok."
    PRINT "So the program tries to transfer the ATN-display program from PC to C64"

    REM transfer  ---------------
    DIM a(128)
    
    ON x GOTO 605, 610, 615, 620
    REM                              0-bit     1-bit    all inactive
605 a(0) = 14: a = 6: GOTO 625: REM 00001110  00000110  00000100
610 a(0) = 14: a = 6: GOTO 625: REM 00001110  00000110  00000100
615 a(0) = 2: a = 6: GOTO 625: REM  00000010  00000110  00000100
620 a(0) = 13: a = 9: REM           00001101  00001001  00001011
625 FOR j = 1 TO 128: a(j) = a: NEXT

   
630 OUT (lp + 2), i
    IF x = 1 THEN a = ((INP(lp + 2)) AND 15) XOR 4: GOTO 635
    IF x = 2 THEN a = (INP(lp + 1) AND 240) XOR 112
635 IF a > 0 THEN PRINT "press 0 or type poke56576,7": GOTO 630

    OUT (lp + 2), a(0): REM clock from inactive to active (ee70)
    PRINT : PRINT : PRINT "type carefully at the C64:"
    PRINT : PRINT "POKE144,64:FORI=49152TO49220:SYS61014:POKEI,PEEK(780):NEXT:SYS49152"
    PRINT "and C64-Return"
    PRINT : PRINT : INPUT "Device-number of CBM-floppy"; dn
    INPUT "Floppy-type (4=41/=71 8=81)"; ft

    TIMER ON
    PRINT "counting 0-68"
    IF ft = 8 THEN FOR j = 0 TO 68: READ a: NEXT
   
    PRINT : PRINT : PRINT "Transfering 69 Bytes from PC to C64 with 3 baud, 3 seconds per byte."
    PRINT "Wait about 4 minutes :-)"
    PRINT : PRINT

    FOR j = 0 TO 68
    READ d
    PRINT j;
    IF j = 1 THEN d = dn
    
640 a = TIMER: IF INT((a - (INT(a))) * 10) <> 9 THEN 640

645  a = TIMER: IF INT((a - (INT(a))) * 10) <> 0 THEN 645
     OUT (lp + 2), a(d AND 1)
650    a = TIMER: IF INT((a - (INT(a))) * 10) <> 1 THEN 650
     OUT (lp + 2), a(d AND 1) XOR 2: REM clock from active to inactive
655  a = TIMER: IF INT((a - (INT(a))) * 10) <> 2 THEN 655
     OUT (lp + 2), a(0): REM clock from inactive to active (ee70)
   
660    a = TIMER: IF INT((a - (INT(a))) * 10) <> 3 THEN 660
     OUT (lp + 2), a(d AND 2)
665    a = TIMER: IF INT((a - (INT(a))) * 10) <> 4 THEN 665
     OUT (lp + 2), a(d AND 2) XOR 2: REM clock from active to inactive
670  a = TIMER: IF INT((a - (INT(a))) * 10) <> 5 THEN 670
     OUT (lp + 2), a(0): REM clock from inactive to active (ee70)
  
675 a = TIMER: IF INT((a - (INT(a))) * 10) <> 6 THEN 675
     OUT (lp + 2), a(d AND 4)
680    a = TIMER: IF INT((a - (INT(a))) * 10) <> 7 THEN 680
     OUT (lp + 2), a(d AND 4) XOR 2: REM clock from active to inactive
685  a = TIMER: IF INT((a - (INT(a))) * 10) <> 8 THEN 685
     OUT (lp + 2), a(0): REM clock from inactive to active (ee70)
  
690    a = TIMER: IF INT((a - (INT(a))) * 10) <> 9 THEN 690
     OUT (lp + 2), a(d AND 8)
695    a = TIMER: IF INT((a - (INT(a))) * 10) <> 0 THEN 695
     OUT (lp + 2), a(d AND 8) XOR 2: REM clock from active to inactive
700  a = TIMER: IF INT((a - (INT(a))) * 10) <> 1 THEN 700
     OUT (lp + 2), a(0): REM clock from inactive to active (ee70)
  
705    a = TIMER: IF INT((a - (INT(a))) * 10) <> 2 THEN 705
     OUT (lp + 2), a(d AND 16)
710 a = TIMER: IF INT((a - (INT(a))) * 10) <> 3 THEN 710
     OUT (lp + 2), a(d AND 16) XOR 2: REM clock from active to inactive
715 a = TIMER: IF INT((a - (INT(a))) * 10) <> 4 THEN 715
     OUT (lp + 2), a(0): REM clock from inactive to active (ee70)
  
720    a = TIMER: IF INT((a - (INT(a))) * 10) <> 5 THEN 720
     OUT (lp + 2), a(d AND 32)
725    a = TIMER: IF INT((a - (INT(a))) * 10) <> 6 THEN 725
     OUT (lp + 2), a(d AND 32) XOR 2: REM clock from active to inactive
730  a = TIMER: IF INT((a - (INT(a))) * 10) <> 7 THEN 730
     OUT (lp + 2), a(0): REM clock from inactive to active (ee70)
  
735  a = TIMER: IF INT((a - (INT(a))) * 10) <> 8 THEN 735
     OUT (lp + 2), a(d AND 64)
740    a = TIMER: IF INT((a - (INT(a))) * 10) <> 9 THEN 740
     OUT (lp + 2), a(d AND 64) XOR 2: REM clock from active to inactive
745  a = TIMER: IF INT((a - (INT(a))) * 10) <> 0 THEN 745
     OUT (lp + 2), a(0): REM clock from inactive to active (ee70)
  
750 a = TIMER: IF INT((a - (INT(a))) * 10) <> 1 THEN 750
     OUT (lp + 2), a(d AND 128)
755    a = TIMER: IF INT((a - (INT(a))) * 10) <> 2 THEN 755
     OUT (lp + 2), a(d AND 128) XOR 2: REM clock from active to inactive (ee63)
760  a = TIMER: IF INT((a - (INT(a))) * 10) <> 3 THEN 760
     OUT (lp + 2), a(0): REM clock from inactive to active (ee70)
  
    NEXT j

   
    OUT (lp + 2), i

    PRINT : PRINT : PRINT "There should be 'ok' displayed at the C64."
    PRINT "If 'i/o-error' or nothing is displayed then the transfer didn't work"
    PRINT "and you cannot test the ATN-line from PC to C64"
    PRINT "Is 'ok' displayed (y/n)?"
765 a$ = INKEY$
    IF a$ = "n" THEN PRINT : PRINT : PRINT "Cannot test ATN-line from PC to C64": apc = 0: GOTO 800
    IF a$ <> "y" THEN 765
    GOTO 775: REM-----------------

770 PRINT : PRINT "Press '5' at the C64-part of this program"
    PRINT "and answer the two questions."
    INPUT "Press Return when ready (5 pressed and answered)"; a$

775  a = 5: REM                00000101
    IF x = 4 THEN a = 12: REM 00001010
    OUT (lp + 2), a: REM ATN = active


    PRINT : PRINT "The floppy-LED should be on now,"
    PRINT "else there is a problem with the ATN-line from PC to C64"
    PRINT "Is the LED on (y/n)?"
780  a$ = INKEY$
    IF a$ = "y" THEN c = c + 1: GOTO 785
    IF a$ <> "n" THEN 780
    apc = 2
785 OUT (lp + 2), i: REM inactive
    n = n + 1
    PRINT : PRINT c; "/"; n


    PRINT : PRINT "The floppy-LED should be off now,"
    PRINT "else there is a problem with the ATN-line from PC to C64"
    PRINT "Is the LED off (y/n)?"
790  a$ = INKEY$
    IF a$ = "y" THEN c = c + 1: GOTO 795
    IF a$ <> "n" THEN 790
     apc = 2
795  n = n + 1
    PRINT : PRINT c; "/"; n

    
     PRINT : PRINT "now reset the floppy (switch it off and on):   "
   
   
800 PRINT : PRINT : PRINT "Testing Attention-line from C64 to PC"
    PRINT "Press '6' at the C64-part of this program"
    PRINT c6$: PRINT "poke56575,15": REM 8+7
    INPUT "Press Return when C64 is ready (6 pressed)"; a$
    acp = 1

    IF x = 1 THEN a = ((INP(lp + 2)) AND 1) XOR 1: GOTO 805
    a = INP(lp + 1) AND 16
    
805 a$ = "ATN-line from C64 to PC is ok": b = 1
    IF a > 0 THEN b = 0: a$ = "Problem with ATN-line from C64 to PC": acp = 2
    PRINT a$: c = c + b: n = n + 1
    PRINT : PRINT c; "/"; n

    
    PRINT : PRINT : PRINT "Testing ATN-line from C64 to PC"
    PRINT "Press '7' at the C64-part of this program"
    PRINT c6$: PRINT "poke56575,7": REM 7
    INPUT "Press Return when C64 is ready (7 pressed)"; a$
    
    IF x = 1 THEN a = ((INP(lp + 2)) AND 1) XOR 1: GOTO 810
    a = INP(lp + 1) AND 16
    
810 a$ = "ATN-line from C64 to PC is ok": b = 1
    IF a = 0 THEN b = 0: a$ = "Problem with ATN-line from C64 to PC": acp = 2
    PRINT a$: c = c + b: n = n + 1
    PRINT : PRINT c; "/"; n

    
    

REM---------------------------------------------------------------------------
    IF d$ = "n" THEN PRINT " Cannot test the Reset-line from PC to C64, because there is no floppy": GOTO 935
   
    PRINT : PRINT : PRINT "If you have got a C64 without 1541 only,"
    PRINT "then you cannot test the Reset-line from PC to C64"
    PRINT "because the C64 cannot read the Reset-line"
    PRINT "If you have got a 1541/71/81 connected then you can display the "
    PRINT "Reset-line to the floppy-LED and the floppy-motor."
    
    ON x GOTO 900, 905, 910, 915
900  a = 0: GOTO 920: REM 00000000
905  a = 0: GOTO 920: REM 00000000
910 a = 12: GOTO 920: REM 00001100
915 a = 3: REM            00000011
920 OUT (lp + 2), a
   
    PRINT : PRINT "The floppy-LED(s) and -motor(s) should be on now,"
    PRINT "else there is a problem with the Reset-line from PC to C64"
    PRINT "Is the floppy-LED and -motor on now (y/n)?"
925 a$ = INKEY$
    IF a$ = "y" THEN c = c + 1: GOTO 930
    IF a$ <> "n" THEN 925
    rpc = 2
930 OUT (lp + 2), i: REM inactive
    n = n + 1

    PRINT : PRINT c; "/"; n


935 PRINT : PRINT : PRINT "Testing Reset-line from C64 to PC"
   PRINT "you must now make a reset within the next 10 seconds."
   PRINT "If your C64 has got a reset-button then press it."
   PRINT "Else switch the C64 off and on"
   INPUT "Press Return when you are ready"; a$
   PRINT : PRINT : PRINT : PRINT : PRINT
   PRINT "Make Reset now": PRINT : PRINT : PRINT
   rcp = 1
   a$ = "Reset-line from C64 to PC is ok"
 
    TIMER ON
    s = TIMER
940 b = INT(s + 10 - TIMER)
    LOCATE 23, 1: PRINT b
    IF x = 1 THEN a = ((INP(lp + 2)) AND 4): GOTO 945
    IF x = 2 THEN a = (INP(lp + 1) AND 64): GOTO 945
    a = (INP(lp + 1) AND 128) XOR 128
945 IF a = 0 THEN c = c + 1: GOTO 950
    IF b > 0 THEN 940
    a$ = "Problem with Reset-line from C64 to PC": rcp = 2
950 PRINT a$:  n = n + 1


REM---------------------------------------------------------------------------
    PRINT : PRINT : INPUT "Press Return"; a$
    CLS
    PRINT : PRINT : PRINT "Jochen Adler"
    PRINT "NLQ"
    PRINT "www.nlq.de"
    PRINT "nlq@gmx.de"
    PRINT : PRINT : PRINT "Results for LPT at ";
   
    IF l = 1 THEN PRINT "3bc";
    IF l = 2 THEN PRINT "378";
    IF l = 3 THEN PRINT "278";
   
    PRINT " and ";

   
    IF x = 1 THEN PRINT "X";
    IF x = 2 THEN PRINT "XE";
    IF x = 3 THEN PRINT "XM";
    IF x = 4 THEN PRINT "XA";

   
     PRINT "-cable:"
    
   
    PRINT c; "of"; n; "tests where successful"
    PRINT : PRINT
    IF x = 1 THEN PRINT "short-connection of pins 2 and 15: "; me$(sc)
    PRINT "Data-line  from PC to C64: "; me$(dpc)
    PRINT "Data-line  from C64 to PC: "; me$(dcp)
    PRINT "Clock-line from PC to C64: "; me$(cpc)
    PRINT "Clock-line from C64 to PC: "; me$(ccp)
    PRINT "ATN-line   from PC to C64: "; me$(apc)
    PRINT "ATN-line   from C64 to PC: "; me$(acp)
    PRINT "Reset-line from PC to C64: "; me$(rpc)
    PRINT "Reset-line from C64 to PC: "; me$(rcp)
  
REM---------------------------------------------------------------------------
    DATA 160,9,173,1,192,162,68,93,0,192,202,16,250,170,208,28,152,32,177,255
    DATA 169,111,32,147,255,162,49,189,0,192,32,168,255,232,224,68,144,245,32
    DATA 174,255,160,106,44,160,0,76,47,241,77,45,69,5,2,173,0,24,10,42,10,10
    DATA 10,141,0,28,24,144,242,206
    DATA 160,8,173,1,192,162,68,93,0,192,202,16,250,170,208,28,152,32,177,255
    DATA 169,111,32,147,255,162,49,189,0,192,32,168,255,232,224,68,144,245,32
    DATA 174,255,160,106,44,160,0,76,47,241,77,45,69,5,2,173,1,64,10,169,0,106
    DATA 74,141,0,64,24,144,242,98

